export default extensions;
declare namespace extensions {
    /**
     * Get the current state of Biometric Enrollment feature.
     *
     * @returns {Promise<boolean>} Either true or false
     * @throws {Error} If Enrollment state cannot be determined
     */
    function isBiometricEnrolled(): Promise<boolean>;
    /**
     * Enrolls biometric (TouchId, FaceId) feature testing in Simulator UI client.
     *
     * @param {boolean} isEnabled - Defines whether biometric state is enabled/disabled
     * @throws {Error} If the enrolled state cannot be changed
     */
    function enrollBiometric(isEnabled?: boolean): Promise<void>;
    /**
     * Sends a notification to match/not match the touch id.
     *
     * @param {?boolean} shouldMatch [true] - Set it to true or false in order to emulate
     * matching/not matching the corresponding biometric
     */
    function sendBiometricMatch(shouldMatch?: boolean | null): Promise<void>;
}
//# sourceMappingURL=biometric.d.ts.map