export default extensions;
declare namespace extensions {
    /**
     * Perform Shake gesture on Simulator window.
     */
    function shake(): Promise<void>;
    /**
     * Adds the given certificate into the Trusted Root Store on the simulator.
     * The simulator must be shut down in order for this method to work properly.
     *
     * @param {string} payload the content of the PEM certificate
     * @returns {Promise<boolean>} `true` if the certificate has been successfully installed
     * or `false` if it has already been there
     */
    function addCertificate(payload: string): Promise<boolean>;
    /**
     * Simulates push notification delivery
     *
     * @since Xcode SDK 11.4
     */
    function pushNotification(): Promise<never>;
}
//# sourceMappingURL=misc.d.ts.map