/**
 * @param {number} [timeout=DEFAULT_SIM_SHUTDOWN_TIMEOUT_MS]
 * @returns {Promise<void>}
 */
export function killAllSimulators(timeout?: number | undefined): Promise<void>;
/**
 * @param {string} udid
 * @returns {Promise<boolean>}
 */
export function simExists(udid: string): Promise<boolean>;
/**
 * @param {string} udid
 * @param {Record<string, any>} [opts={}]
 * @returns {Promise<any>}
 */
export function getSimulatorInfo(udid: string, opts?: Record<string, any> | undefined): Promise<any>;
/**
 * @param {string} name
 * @returns {string}
 */
export function toBiometricDomainComponent(name: string): string;
/**
 * @returns {Promise<string>}
 */
export function getDeveloperRoot(): Promise<string>;
/**
 * Activates the app having the given process identifier.
 * See https://developer.apple.com/documentation/appkit/nsrunningapplication/1528725-activatewithoptions?language=objc
 * for more details.
 *
 * @param {number|string} pid App process identifier
 * @throws {Error} If the given PID is not running or there was a failure
 * while activating the app
 */
export function activateApp(pid: number | string): Promise<void>;
export const SAFARI_STARTUP_TIMEOUT_MS: number;
export const MOBILE_SAFARI_BUNDLE_ID: "com.apple.mobilesafari";
export const SIMULATOR_APP_NAME: "Simulator.app";
//# sourceMappingURL=utils.d.ts.map